<HTML>
<BODY>
<?php

  $server = "ldap.vsb.cz"; 
  $login = $_GET["login"];
  $jmeno = $_GET["jmeno"];
  $loginZmenu = $_GET["loginZmenu"];
  
  
  
  $filtr = "(cn=*$login*)";
  $c_vystup = ldap_connect("$server");
  $b_vystup = ldap_bind($c_vystup);
  $s_vystup = ldap_search($c_vystup, "", $filtr);
  $info = ldap_get_entries($c_vystup, $s_vystup);
  $numrows = $info["count"];

  if ( $numrows == 0 ) {
    echo "<P>Nenalezen požadovaný záznam ".$login."</P>";
    echo "</BODY></HTML>";
    ldap_close($c_vystup);
    exit;
  }
echo "Pro návrat do hlavního menu <a href='index.html'>klikněte zde</a>";
echo "<br/>Pokud chcete zobrazit předešlé výsledky <a href='ldap.php?jmeno=$jmeno&loginZmenu=$loginZmenu'>klikněte zde</a>";  

?> 

<?php

echo "<TABLE BORDER='1'style='text-align: center'>";
echo "<tr><th>Jméno</th><th>Login</th><th>Fakulta</th><th>E-mail</th><th>Telefon</th></tr>";
  for ($rownum = 0; $rownum<$numrows; $rownum++) {
echo 
"<tr>";
if (empty($info[$rownum]['givenname'][0]))
{
  echo "<td>".$info[$rownum]['sn'][0]."</td>";
  }
  else {echo "<td>".$info[$rownum]['givenname'][0]." ".$info[$rownum]['sn'][0]."</td>";}

echo "<td>".$info[$rownum]['cn'][0]."</td>";

if (empty($info[$rownum]['ou'][0]))
{
  echo "<td>"." "."</td>";
  }
  else {echo "<td>".$info[$rownum]['ou'][0]."</td>";}

if (empty($info[$rownum]['mail'][0]))
{
  echo "<td>Žádný e-mail</td>";
}
  else {echo "<td><A HREF=mailto:".$info[$rownum]['mail'][0].">".$info[$rownum]['mail'][0]."</a></td>";}

if (empty($info[$rownum]['telephonenumber'][0]))
{
  echo "<td>Žádné číslo</td>";
  }
  else {echo "<td>".$info[$rownum]['telephonenumber'][0]."</td>";}



}
echo "</TABLE>";
?>

<?php
   ldap_close($c_vystup);
?>

</BODY>
</HTML>